 function  save_onclick12()
{

    var Price1=document.formf.Price1.value;
	 var Price2=document.formf.Price2.value;
	 var Price3=document.formf.Price3.value;
	 var Price4=document.formf.Price4.value;
	 var Price5=document.formf.Price5.value;
	 var Price6=document.formf.Price6.value;
	  var Price7=document.formf.Price7.value;
	 	

	
  if(Price1=="")
  {
    alert("请输入商品任务价！");
	document.formf.Price1.focus();
	return false;
	}
	
if   ((document.formf.Price1.value.indexOf("-")   ==   0)){   
  alert("任务价不能为负数");   
  document.formf.Price1.focus();   
  return   false;   
  } 
  	

	if(Price1<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price1.focus();
	return false;
	}
if(Price1>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price1.focus();
	return false;
	}
	
 var ProUrl=document.formf.ProUrl1.value;
  if(ProUrl=="")
  {
    alert("请输入商品地址！");
	document.formf.ProUrl1.focus();
	return false;
	}
	
if   ((document.formf.Price2.value.indexOf("-")   ==   0)){   
  alert("任务价不能为负数");   
  document.formf.Price2.focus();   
  return   false;   
  } 
if(Price2=="")
  {
    alert("请输入商品任务价！\nＶＩＰ区任务一次必须发布三个以上，请继续添加");
	document.formf.Price2.focus();
	return false;
	}

	if(Price2<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price2.focus();
	return false;
	}
if(Price2>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price2.focus();
	return false;
	}

 var ProUrl2=document.formf.ProUrl2.value;
  if(ProUrl2=="")
  {
    alert("请输入商品地址！\nＶＩＰ区任务一次必须发布三个以上，请继续添加");
	document.formf.ProUrl2.focus();
	return false;
	}
	

	
if(Price3=="")
  {
    alert("请输入商品任务价,\nＶＩＰ区任务一次必须发布三个以上，请继续添加！");
	document.formf.Price3.focus();
	return false;
	}	
	

	if(Price3<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price3.focus();
	return false;
	}
if(Price3>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price3.focus();
	return false;
	}
 var ProUrl3=document.formf.ProUrl3.value;
  if(ProUrl3=="")
  {
    alert("请输入商品地址！\nＶＩＰ区任务一次必须发布三个以上，请继续添加");
	document.formf.ProUrl3.focus();
	return false;
	}
	

	


if (Price4 !=="")
{

	if(Price4<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price4.focus();
	return false;
	}
		if(Price4>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price4.focus();
	return false;
	}
}
if (Price5 !=="")
{

	if(Price5<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price5.focus();
	return false;
	}
		if(Price5>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price5.focus();
	return false;
	}
}	
 if (Price6 !=="")
{

	if(Price6<1)
  {
    alert("商品价格必须大于1，请重新输入！");
	document.formf.Price6.focus();
	return false;
	}
if(Price6>1000)
  {
    alert("单个任务价格不得超过1000，请重新输入！");
	document.formf.Price6.focus();
	return false;
	}
}
 	if(Price7>1000)
  {
    alert("任务总价不得超过1000，请调整您的商品价格!");
	return false;
	}

  
  var Shopkeeper=document.formf.nick_name.value;
  if(Shopkeeper=="")
  {
    alert("请输入掌柜名！");
	document.formf.nick_name.focus();
	return false;
	}
	
var ck = document.getElementsByName("bei"); //获得所有name = "chk" 集合 
for(var i = 0; i < ck.length; i++) 
{ 
if(ck[i].checked) 
{ 

return; 
break; 
} 
} 
alert("您尚未选择备注选项!"); 
return false; 

  return true;  
}


function   test(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price1.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }
  function   test2(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price2.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }
  function   test3(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price3.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }
  function   test4(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price4.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }
  function   test5(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price5.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }
  function   test6(str){   
          var   pos;   
          var   fst   
          var   lst;   
          if   (str   ==   "")   return;   
          pos   =   str.indexOf(".");   
          if   (pos   !=   -1){   
                  fst   =   str.substring(0,pos);   
                  lst   =   str.substring(pos+1,pos.length);   
                  if   (lst.length   >   1){                             
                            document.formf.Price6.value="";   
							  alert("商品价格只能有一位小数!");   

                  }   
          }           
  }